import request from '@/utils/request'

// 新增自定义分类
export function addKyFilesCustomizeClassifyAPI(data) {
    return request({
        url: '/smartArchives/files/customize/addKyFilesCustomizeClassify',
        method: 'POST',
        data: data,
    })
}

// 修改自定义分类
export function updateKyFilesCustomizeClassifyAPI(data) {
    return request({
        url: '/smartArchives/files/customize/updateKyFilesCustomizeClassify',
        method: 'POST',
        data: data,
    })
}

// 删除自定义分类
export function delKyFilesCustomizeClassifyAPI(data) {
    return request({
        url: '/smartArchives/files/customize/delKyFilesCustomizeClassify',
        method: 'POST',
        data: data,
    })
}

// 查询自定义分类列表
export function getKyFilesCustomizeClassifyListAPI(data) {
    return request({
        url: '/smartArchives/files/customize/getKyFilesCustomizeClassifyList',
        method: 'GET',
        params: data,
    })
}
